Bug 63994 - exceeding maximum nfs mounts
exceeding maximum nfs mounts
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-04-23 10:07 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-01 14:13:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-23 10:07:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
when the number of nfs mounts gets too large(usually 256) we get this 
message: "mount table full".
Is there a way to increase the number of nfs mounts?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.easy to reproduce just by doing a whole bunch of mounts from remote machines

Steps to Reproduce:
1. use a loop to do lots of mounts from another server
2. check after each mount how many mounts
3. eventually get  "mount table full".


Actual Results:  "mount table full", won't do any futher mounts, and we think 
automount gets confused and won't unmount when quiet.

Expected Results:  automount should have nfs mounted other users' home 
from other machines, but it can't until some of the currents mounts are 

Additional info:

we think that this might be a configarable limit that can be set in /proc, but 
Comment 1 James Pearson 2002-04-26 05:08:47 EDT
There was a post recently on the linux-nfs and linux-kernel mail lists  - see:


Which I _think_ relates to your problem ...
Comment 2 Steve Dickson 2004-09-01 14:13:04 EDT
I believe we do a better job in later kernels. Please
try the Fedora Core kernels and reopen if necessary

Note You need to log in before you can comment on or make changes to this bug.